%define debug true
%define udev_libdir /lib/udev
  
Summary: Moblin specific rules
Name: moblin-udev-rules
Version: 0.1
Release: 3.1.moblin2
URL: http://www.moblin.org
License: GPLv2
Group: System Environment/Base
BuildArch: noarch
Source0: 01-moblin.rules
Requires: udev

ExclusiveOS: Linux
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
This package includes some moblin specific udev rules, which express 
some of handles/actions for moblin/atom related udev event, such as 
USB aotususpend features from some tested device on top of moblin/atom 
platform. 

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p \
	$RPM_BUILD_ROOT%{udev_libdir}/rules.d

install -m 0644 %{SOURCE0} $RPM_BUILD_ROOT%{udev_libdir}/rules.d

%post
if [ "$1" -gt 1 -a -x /sbin/pidof ]; then
	pid=$(/sbin/pidof -c udevd)
	if [ -n "$pid" ]; then
		kill $pid
		/sbin/udevd -d
	fi
fi
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644, root, root, 0755)
%attr(0755,root,root) %dir %{udev_libdir}/rules.d/
%attr(0644,root,root) %{udev_libdir}/rules.d/01-moblin.rules

%changelog
* Thu Oct 22 2009 Yi Yang <yi.y.yang@intel.com> 0.1
- Autosuspend HSPA modem on Samsung N130 (because
  it doesn't work but consume power, fix MB#6868)
* Mon Sep  7 2009 Yi Yang <yi.y.yang@intel.com> 0.1
- Enable autosuspend for USB webcam in Samsung NC10 and N130
* Thu Jul 30 2009 Austin Zhang <austin.zhang@linux.intel.com> 0.1
- Initial import
- Split moblin specific rules to individual pkg as less modifications
  should not ask the whole udev update.
- Add new camera device for EeePC S101
